<?php
$ok = true;
$number = 0;
$errortext = '';

if ( isset($_GET['number']) ){   // Ist gesetzt?
⟶$str_number = $_GET['number'];
if (is_numeric($str_number)) {
⟶$number = intval ( $str_number, 10 );
}
else {
⟶$ok = false;
⟶$errortext.="Error in number conversion: the variable 'number' is not any ⟶number<br />";
}
}
else {
⟶$ok = false;
⟶$errortext.="Error: The param 'number' are not passed<br />";
}

if($ok) {
⟶echo ($number+1);
}
else{
⟶echo '<h2>Fehler</h2>';
⟶echo $errortext;
}



?>